{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "ECR",
    " I ",
    " S "
  ],
  "key": {
    "E": {
      "item": "minecraft:emerald"
    },
    "C": {
      "item": "minecraft:compass"
    },
    "R": {
      "item": "minecraft:rotten_flesh"
    },
    "I": {
      "item": "minecraft:iron_ingot"
    },
    "S": {
      "item": "minecraft:stick"
    }
  },
  "result": {
    "item": "minecraft:knowledge_book"
  }
}